#
# spec file for package nautilus (Version 1.0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile bonobo bonobo-devel cdparanoia control-center control-center-devel eel eel-devel esound esound-devel fam freetype2 freetype2-devel gconf gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gnome-vfs gnome-vfs-devel gpp gtk gtk-devel gtkhtml gtkhtml-devel imlib imlib-devel indent libghttp libghttp-devel libgpp libgtop libgtop-devel libjpeg libpng librsvg librsvg-devel libtiff libungif libunicode libxml libxml-devel libz medusa mozilla mozilla-devel oaf oaf-devel orbit orbit-devel popt scrollkeeper xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bonobo bonobo-devel bzip cdparanoia compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs eel eel-devel esound esound-devel fam file fileutils findutils flex freetype2 freetype2-devel gawk gcc gconf gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gnome-vfs gnome-vfs-devel gpm gpp gppshare grep groff gtk gtk-devel gtkhtml gtkhtml-devel gzip imlib imlib-devel indent kbd less libghttp libghttp-devel libgpp libgtop libgtop-devel libjpeg libpng librsvg librsvg-devel libtiff libtool libungif libunicode libxml libxml-devel libz m4 make man medusa mktemp modutils mozilla mozilla-devel ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps rcs readline rpm scrollkeeper sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         nautilus
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:	      X11/GNOME/Base
Requires:     mpg123, mozilla = 0.9.4
Autoreqprov:  on
Version:      1.0.4
Release:      111
Summary:      The GNOME filemanager
Source:	      nautilus-%{version}.tar.bz2
Patch0:       nautilus-mozilla0.9.3.diff
Patch1:       static-bookmarks.dif
# patch 2: integrates YaST2 in Nautilus Home position
Patch2:       default-apps-in-home.dif
Patch5:       gtk_super_win_libs-1.0.3.dif
Patch6:       nautilus_yast.dif
URL:	      http://www.eazel.com
BuildRoot:    /var/tmp/nautilus-%{version}-build
Docdir:	      %{_defaultdocdir}/gnome

%description
Nautilus integrates access to files, applications, media, Internet-based
resources, and the web.  Nautilus delivers a dynamic and rich user
experience.  Nautilus is a free software project developed under the
GNU General Public License and is a core component of the GNOME desktop
project.

Authors:
--------
    Ali Abdin <aliabdin@aucegypt.edu>
    Andy Hertzfeld <andy@eazel.com>
    Arlo Rose <arlo@eazel.com>
    Bud Tribble <bud@eazel.com>
    Darin Adler <darin@eazel.com>
    Elliot Lee <sopwith@redhat.com>
    Eskil Heyn Olsen <eskil@eazel.com>
    Ettore Perazzoli <ettore@helixcode.com>
    Gene Z. Ragan <gzr@eazel.com>
    George Lebl <jirka@5z.com>
    Ian McKellar <yakk@yakk.net.au>
    John Sullivan <sullivan@eazel.com>
    Josh Barrow <linuxfan@ionet.net>
    J Shane Culpepper <pepper@eazel.com>
    Maciej Stachowiak <mjs@eazel.com>
    Mathieu Lacage <mathieu@eazel.com>
    Michael Engber <engber@eazel.com>
    Mike Fleming <mfleming@eazel.com>
    Pavel Csler <pavel@eazel.com>
    Ramiro Estrugo <ramiro@eazel.com>
    Raph Levien <raph@acm.org>
    Rebecca Schulman <rebecka@eazel.com>
    Robey Pointer <robey@eazel.com>
    Robin * Slomkowski <rslomkow@eazel.com>
    Seth Nickell <seth@eazel.com>
    Susan Kare <susan@eazel.com>

SuSE series: gnm

%prep
%setup 
%{?suse_update_config:%{suse_update_config -f}}
%patch0
%patch1 -p1
%patch2 -p1
%patch5 -p1
%patch6 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --disable-static \
	    --prefix=%prefix \
	    --with-mozilla-lib-place=/opt/mozilla \
	    --with-mozilla-include-place=/opt/mozilla/include \
	    --sysconfdir=%sysconfdir 
make -s

%install
make -s prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	install
rm -f $RPM_BUILD_ROOT/%{prefix}/bin/run-nautilus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%config %{sysconfdir}/CORBA/servers/*
%config %{sysconfdir}/vfs/modules/*.conf
%{prefix}/bin/*
%{prefix}/lib/*.so.*
%{prefix}/lib/*so
%{prefix}/lib/*.la
%{prefix}/lib/vfs/modules/*.so*
%{prefix}/share/gnome/apps/Applications/*.desktop
%{prefix}/share/gnome/help/*/*
%{prefix}/share/gnome/ui/*
%{prefix}/share/idl/*
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/nautilus
%{prefix}/share/oaf/*
%{prefix}/share/omf/*
%{prefix}/share/pixmaps/*
%{prefix}/share/sgml

%changelog -n nautilus
* Mon Sep 24 2001 - bk@suse.de
- add ", mozilla = 0.9.4" to the Requires: field(see bug# 11203)
* Tue Sep 18 2001 - hhetter@suse.de
- nautilus_yast.dif: check for YaST1/2, if running, no longer
  automatically pop up a directory-view if a CD is mounted
  ( Bug Id # 10537 )
* Thu Sep 06 2001 - hhetter@suse.de
- fixed wrong link in the static bookmark
* Wed Aug 08 2001 - egger@suse.de
- Added patch to make it compile with mozilla 0.9.3.
* Fri Aug 03 2001 - hhetter@suse.de
- link changes in the static bookmarks
* Wed Jul 11 2001 - hhetter@suse.de
- filelist review, fixes failing treeview
* Fri Jul 06 2001 - egger@suse.de
- Update to 1.0.4.
- Fixed filelist.
* Mon Jul 02 2001 - hhetter@suse.de
- removed no longer needed patch
* Tue Jun 26 2001 - hhetter@suse.de
- added fam and cd-paranoia support
* Fri Jun 22 2001 - hhetter@suse.de
- added missing #neededforbuild entries
- fixed to compile with mozilla
- test on i386
* Thu Jun 21 2001 - hhetter@suse.de
- new static bookmarks
- word wrap in notes-sidebar
* Tue Jun 19 2001 - hhetter@suse.de
- update to 1.0.3
- functionality test on i386
- adaption to our preconfiguration needs some work,
  I'll take care of this
* Thu Apr 05 2001 - uli@suse.de
- added missing dct64.c, decode.c from xmms (fixes non-x86 archs,
  somebody please tell these guys how to steal code)
* Wed Apr 04 2001 - hhetter@suse.de
- upate to 1.0.1
- added Makefile.in fix to compile
* Thu Mar 29 2001 - hhetter@suse.de
- removed yast2 linkset, there is now better support for this
  in gnome-core
* Mon Mar 19 2001 - hhetter@suse.de
- additional default configuration changes
- added YaST2 link to the standard applications
  (needs testing, I'll take care of this)
* Fri Mar 16 2001 - hhetter@suse.de
- extended default bookmark set with SuSE Links
  (Portal, SDB, SuSE International and SuSE Germany)
* Fri Mar 16 2001 - hhetter@suse.de
- added mpg123 to requirements
* Thu Mar 15 2001 - egger@suse.de
- Updated to version 1.0.
* Tue Mar 13 2001 - ro@suse.de
- fixed rm
* Fri Mar 09 2001 - egger@suse.de
- Modified filelist.
* Wed Mar 07 2001 - egger@suse.de
- Fixed filelist.
* Wed Mar 07 2001 - egger@suse.de
- Removed forced requirement of "libzlib".
* Sun Mar 04 2001 - egger@suse.de
- Updated to version 0.8.2.
* Wed Feb 21 2001 - egger@suse.de
- Added medusa and mozilla features.
- Cleaned up specfile.
* Tue Feb 20 2001 - hhetter@suse.de
- corrected libgtt(p) errors in #neededforbuild
- reworked filelist
- finally got it to run on my 7.1 testmachine
* Mon Feb 19 2001 - hhetter@suse.de
- update to version 0.8
- included esound support
- linked perl to get i18n-tools to work
* Wed Nov 08 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 02 2000 - egger@suse.de
- Fixed filelist.
* Mon Sep 25 2000 - egger@suse.de
- Use BuildRoot.
- Patch it to work.
- Cleaned up specfile.
- Buildproofed on i386.
* Wed Aug 30 2000 - egger@suse.de
- Initial trial version of the nautilus package.
